summaryrefslogtreecommitdiffstats
path: root/debian/crmsh.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-17 06:49:00 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-17 06:49:00 +0000
commit93907d0c009d758811b54e7984337477a39f05cf (patch)
treea34881e1b02ccd5281ca58a799877f2d5e80d778 /debian/crmsh.postinst
parentAdding upstream version 4.6.0. (diff)
downloadcrmsh-93907d0c009d758811b54e7984337477a39f05cf.tar.xz
crmsh-93907d0c009d758811b54e7984337477a39f05cf.zip
Adding debian version 4.6.0-1.debian/4.6.0-1
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/crmsh.postinst')
-rw-r--r--debian/crmsh.postinst50
1 files changed, 50 insertions, 0 deletions
diff --git a/debian/crmsh.postinst b/debian/crmsh.postinst
new file mode 100644
index 0000000..1212f89
--- /dev/null
+++ b/debian/crmsh.postinst
@@ -0,0 +1,50 @@
+#!/bin/sh
+# postinst script for crmsh
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
+case "$1" in
+ configure)
+ if [ ! -e /var/log/crmsh ]; then
+ mkdir /var/log/crmsh
+ chown hacluster:haclient /var/log/crmsh
+ chmod 0775 /var/log/crmsh
+ fi
+
+ if [ ! -e /var/log/crmsh/crmsh.log ]; then
+ touch /var/log/crmsh/crmsh.log
+ chown hacluster:haclient /var/log/crmsh/crmsh.log
+ chmod 0664 /var/log/crmsh/crmsh.log
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0